Package be.cin.mycarenet._1_0.carenet.types

# Class MedAdminRequestList

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.MedAdminRequestList

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class MedAdminRequestList extends Object implements Serializable

Java class for MedAdminRequestListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MedAdminRequestListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded">
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleNurseContractualCareRequest"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SinglePalliativeCareRequest"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}SingleSpecificTechnicalCareRequest"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MedAdminRequestList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Serializable>`
  `getSingleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests()`
  The SingleNurseContractualCareRequest element contains all the information for a new, a modification or extension of a contractual care request done by a nurse.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MedAdminRequestList

    public MedAdminRequestList()

- ## Method Details

  - ### getSingleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests

    public List<Serializable> getSingleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests()
    The SingleNurseContractualCareRequest element contains all the information for a new, a modification or extension of a contractual care request done by a nurse. Message type: 410000 Gets the value of the singleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the singleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests property.

    For example, to add a new item, do as follows:

         getSingleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests().add(newItem);

    Objects of the following type(s) are allowed in the list `SingleNurseContractualCareRequest` `SinglePalliativeCareRequest` `SingleSpecificTechnicalCareRequest`

    Returns:
      The value of the singleNurseContractualCareRequestsAndSinglePalliativeCareRequestsAndSingleSpecificTechnicalCareRequests property.